## org.apache.mahout.clustering.fuzzykmeans
Class SoftCluster

    java.lang.Object
      org.apache.mahout.clustering.AbstractCluster
          org.apache.mahout.clustering.iterator.DistanceMeasureCluster
              org.apache.mahout.clustering.kmeans.Kluster
                  org.apache.mahout.clustering.fuzzykmeans.SoftCluster

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, Cluster, Model<VectorWritable>, Parametered

    public class SoftCluster

extends Kluster

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.clustering.Cluster
`CLUSTERED_POINTS_DIR, CLUSTERS_DIR, FINAL_ITERATION_SUFFIX, INITIAL_CLUSTERS_DIR`

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Constructor Summary
`SoftCluster()`
`SoftCluster(Vector center, int clusterId, DistanceMeasure measure)` Construct a new SoftCluster with the given point as its center

Method Summary
`String` `asFormatString()`
`String` `getIdentifier()`
`double` `pdf(VectorWritable vw)` Return the probability that the observation is described by this model

Methods inherited from class org.apache.mahout.clustering.kmeans.Kluster
`calculateConvergence, computeConvergence, formatCluster, isConverged, readFields, setConverged, toString, write`

Methods inherited from class org.apache.mahout.clustering.iterator.DistanceMeasureCluster
`configure, getMeasure, sampleFromPosterior, setMeasure`

Methods inherited from class org.apache.mahout.clustering.AbstractCluster
`asFormatString, computeCentroid, computeParameters, createParameters, formatVector, getCenter, getId, getNumObservations, getParameters, getRadius, getS0, getS1, getS2, getTotalObservations, observe, observe, observe, observe, observe, setCenter, setId, setNumObservations, setRadius, setS0, setS1, setS2, setTotalObservations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftCluster

    public SoftCluster()

### SoftCluster

    public SoftCluster(Vector center,
                       int clusterId,
                       DistanceMeasure measure)

  Construct a new SoftCluster with the given point as its center

  Parameters:
    `center` - the center point
    `measure` - the DistanceMeasure

Method Detail

### asFormatString

    public String asFormatString()

  Overrides:
    `asFormatString` in class `Kluster`

### getIdentifier

    public String getIdentifier()

  Overrides:
    `getIdentifier` in class `Kluster`

### pdf

    public double pdf(VectorWritable vw)

  Description copied from interface: `Model`
  Return the probability that the observation is described by this model

  Specified by:
    `pdf` in interface `Model<VectorWritable>`
  Overrides:
    `pdf` in class `DistanceMeasureCluster`
  Parameters:
    `vw` - an Observation from the posterior
  Returns:
    the probability that x is in the receiver

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.